﻿<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="lightSpeedContexts" type="Mindscape.LightSpeed.Configuration.LightSpeedConfigurationSection, Mindscape.LightSpeed" />
  </configSections>
  <lightSpeedContexts default="DataCore">
    <add name="DataCore" connectionStringName="SQLServerDataCore" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
    <add name="DataReporting" connectionStringName="SQLServerDataReporting" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
    <add name="Library" connectionStringName="SQLServerLibrary" dataProvider="SqlServer2008" identityMethod="IdentityColumn" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
    <add name="Configuration" connectionStringName="SQLServerConfiguration" dataProvider="SqlServer2008" identityMethod="IdentityColumn" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
    <add name="Log" connectionStringName="SQLServerLog" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" />
    <add name="MessageBus" connectionStringName="SQLServerMessageBus" dataProvider="SqlServer2008" identityMethod="IdentityColumn" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
    <add name="Report" connectionStringName="SQLServerReport" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
    <add name="DataMigration" connectionStringName="SQLServerDataMigration" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
  </lightSpeedContexts>
  <connectionStrings>
    <clear/>
    <add name="SQLServerDataCore" connectionString="Data Source=(local)\SQL2008R2;Initial Catalog=FocusSuite;Integrated Security=True;Application Name=DataCore" />
    <add name="SQLServerDataReporting" connectionString="Data Source=(local)\SQL2008R2;Initial Catalog=FocusSuite;Integrated Security=True;Application Name=DataReporting" />
    <add name="SQLServerLibrary" connectionString="Data Source=(local)\SQL2008R2;Initial Catalog=FocusSuite;Integrated Security=True;Application Name=Library" />
    <add name="SQLServerConfiguration" connectionString="Data Source=(local)\SQL2008R2;Initial Catalog=FocusSuite;Integrated Security=True;Application Name=Configuration" />
    <add name="SQLServerLog" connectionString="Data Source=(local)\SQL2008R2;Initial Catalog=FocusSuite;Integrated Security=True;Application Name=Log" />
    <add name="SQLServerMessageBus" connectionString="Data Source=(local)\SQL2008R2;Initial Catalog=FocusSuite;Integrated Security=True;Application Name=MessageBus" />
    <add name="SQLServerReport" connectionString="Data Source=(local)\SQL2008R2;Initial Catalog=FocusSuite;Integrated Security=True;Application Name=Report" />
  </connectionStrings>
  <appSettings>
		<!-- Focus Configuration -->
		<add key="Focus-ClientTag" value="ABC123"/>
    <add key="Focus-Module" value="ServicesHost"/>
    <add key="Focus-Application" value="Focus - WCF Service Host" />
    
		<!-- Access Tokens -->
    <add key="ValidateServiceVersion" value="true" />
    <add key="UsesAccessToken" value="false" />
  </appSettings>
  
  <system.web>
    <compilation debug="true" targetFramework="4.0" />
  </system.web>

  <system.serviceModel>
    <extensions>
      <behaviorExtensions>
        <add name="serviceOutputBehavior" type="Focus.Services.Host.ServiceOutputBehaviorExtensionElement, App_Code" />
      </behaviorExtensions>
    </extensions>
    <behaviors>
      <serviceBehaviors>
        <behavior name="BGT.ServiceBehavior">
          <serviceMetadata httpGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="true" />
          <serviceOutputBehavior />
        </behavior>
        <behavior name="">
          <serviceMetadata httpGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="false" />
        </behavior>
      </serviceBehaviors>
    </behaviors>
    <services>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.AccountService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IAccountService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.AnnotationService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IAnnotationService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.AuthenticationService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IAuthenticationService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.CandidateService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.ICandidateService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.CoreService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.ICoreService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.DataImportService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IDataImportService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.EmployeeService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IEmployeeService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.EmployerService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IEmployerService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.ExplorerService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IExplorerService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.JobDevelopmentService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IJobDevelopmentService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.JobService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IJobService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.OccupationService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IOccupationService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.OrganizationService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IOrganizationService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.PostingService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IPostingService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.ProcessorService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IProcessorService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.ReportingService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IReportingService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.ReportService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IReportService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.ResumeService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IResumeService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.SearchService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.ISearchService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.StaffService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IStaffService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
      <service behaviorConfiguration="BGT.ServiceBehavior" name="Focus.Services.ServiceImplementations.UtilityService">
        <endpoint address="" binding="basicHttpBinding" contract="Focus.Services.ServiceContracts.IUtilityService"/>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>

    </services>
    <bindings>
      <basicHttpBinding>
        <binding name="BasicHttpBinding" closeTimeout="00:01:30" openTimeout="00:01:30" receiveTimeout="00:10:00" sendTimeout="00:01:30" allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" maxBufferSize="2147483647" maxBufferPoolSize="524288" maxReceivedMessageSize="2147483647" messageEncoding="Text" textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true">
          <readerQuotas maxDepth="64" maxStringContentLength="2147483647" maxArrayLength="2147483647" maxBytesPerRead="4096" maxNameTableCharCount="16384"/>
          <security mode="None">
            <transport clientCredentialType="None" proxyCredentialType="None" realm=""/>
            <message clientCredentialType="UserName" algorithmSuite="Default"/>
          </security>
        </binding>
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint name="ClientServiceClient" address="http://localhost:6519/ClientService.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding" contract="Integration.Client.IClientService"/>
    </client>
    <serviceHostingEnvironment multipleSiteBindingsEnabled="true" />
  </system.serviceModel>
</configuration>
